For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Truework.comAPI StatusGet your API key
HomeGuidesAPI referenceHelp
HomeGuidesAPI referenceHelp
    • Introduction
  • Using the API
    • Authentication
    • Versioning
    • Webhooks
    • Sandbox environment
    • Monitoring
    • Limits
  • Verification orders & reports
    • POSTCreate a target employer order
    • POSTCreate an employer search order
    • POSTCreate a Truework Direct order
    • GETGet one order
    • GETGet all orders
    • PUTCancel an order
    • GETGet one report
    • GETGet order events
    • POSTReverify a report
  • Public beta APIs
      • POSTCreate a qualification check request
      • GETGet one qualification check result
      • GETGet all qualification check sets
  • Previous API versions
    • API version 2022-08-01
    • API version 2020-12-07
    • API version 2019-10-15
LogoLogo
Truework.comAPI StatusGet your API key
Public beta APIsQualification checks (beta)

Get all qualification check sets

Beta
GET
/qualification-check-sets
GET
/qualification-check-sets
$curl https://api.truework-sandbox.com/qualification-check-sets \
> -H "Authorization: Bearer <token>"
1{
2 "count": 253,
3 "next": "https://api.truework.com/resource?limit=25&offset=50",
4 "previous": "https://api.truework.com/resource?limit=25",
5 "results": [
6 {
7 "applicant_rent_to_income_ratio": "0.85",
8 "description": "Conventional loan qualification checks for 2024.",
9 "guarantor_rent_to_income_ratio": "0.85",
10 "id": "AAAAAAAAAosABwGqF1AUKAH0-puth1tCzLNar3Jyb4bx3wdVKU99XC31",
11 "income_multiple": "1.50",
12 "name": "Conventional 2024"
13 }
14 ]
15}
A qualification check set is a ruleset for evaluating income data. <Warning> This endpoint is in beta and is subject to change. Please contact [implementations@truework.com](mailto:implementations@truework.com) for more information before integrating. </Warning>
Was this page helpful?
Previous

Create a tenant property

Next
Built with

A qualification check set is a ruleset for evaluating income data.

This endpoint is in beta and is subject to change. Please contact implementations@truework.com for more information before integrating.

Authentication

AuthorizationBearer
Bearer tokens conform to the [RFC6750](https://datatracker.ietf.org/doc/html/rfc6750#section-2.1) spec. Production API keys (secret keys) are prefixed with `tw_sk_` and sandbox keys are prefixed with `tw_sk_test_`. If your secret key is published, you should rotate your API keys. Truework.JS publishable keys are prefixed with `tw_pk_` and `tw_pk_test` respectively. **Examples** - For Authorization Headers: `Authorization: Bearer tw_sk_test_e508eb797edb95ade85284bcb54dd49ed45db1be` - For the "try it now" `token` field, input only the token itself, omitting `Bearer `.

Headers

AcceptenumOptionalDefaults to application/json
Specify the content type and version that the API should use. It's recommended to include this to avoid breaking changes.
Allowed values:

Query parameters

limitintegerOptionalDefaults to 25
Limit the number of results returned.
offsetintegerOptionalDefaults to 0
Offset the results by page

Response headers

Datestring
For JSON requests, the date at which the request was signed
X-Truework-Signaturestring
For JSON requests, the signature of the request, see: https://www.truework.com/docs/verifications-signatures

Response

Qualification Check Sets
countinteger
nextstring or null
previousstring or null
resultslist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
406
Not Acceptable Error
429
Too Many Requests Error
451
Unavailable for Legal Reasons Error
500
Internal Server Error
501
Not Implemented Error

Bearer tokens conform to the RFC6750 spec.

Production API keys (secret keys) are prefixed with tw_sk_ and sandbox keys are prefixed with tw_sk_test_. If your secret key is published, you should rotate your API keys.

Truework.JS publishable keys are prefixed with tw_pk_ and tw_pk_test respectively.

Examples

  • For Authorization Headers: Authorization: Bearer tw_sk_test_e508eb797edb95ade85284bcb54dd49ed45db1be
  • For the “try it now” token field, input only the token itself, omitting Bearer .

For JSON requests, the signature of the request, see: https://www.truework.com/docs/verifications-signatures